export declare enum OpSearch {
    LIKE = ":'*:value*'",
    BETWEEN = ":first AND :last",
    OR = "OR",
    AND = "AND",
    GT = ">:value",
    LT = "<:value",
    EQUAL = "::value",
    IN = " IN :value",
    NOT = " !:value"
}
export declare class MonkeyEcxSpecificationSearch {
    constructor();
    private handleValue;
    private queryVisitor;
    private criteriaParser;
    build(spec: any): string;
    buildMoreThanOne(field: string, op?: OpSearch, addSingleQuotes?: boolean): any;
    handleFieldSeparatedBy(field: string, signal?: string, op?: OpSearch): any;
}
